| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
transform.hpp File Reference

GLM_GTX_transform More...

Go to the source code of this file.

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | rotate (T angle, tvec3< T, P > const &v)
| Builds a rotation 4 * 4 matrix created from an axis of 3 scalars and an angle expressed in radians. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | scale (tvec3< T, P > const &v)
| Transforms a matrix with a scale 4 * 4 matrix created from a vector of 3 components. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | translate (tvec3< T, P > const &v)
| Transforms a matrix with a translation 4 * 4 matrix created from 3 scalars. More...

## Detailed Description

GLM_GTX_transform

See also
  GLM Core (dependence)
  GLM_GTC_matrix_transform (dependence)
  GLM_GTX_transform
  GLM_GTX_transform2

Definition in file transform.hpp.